| OpenGL-2.4.0.1: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.DisplayLists

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Defining Display Lists
Calling Display Lists
Deprecated Functions

Description
This module corresponds to section 5.4 (Display Lists) of the OpenGL 2.1 specs.
Synopsis

newtype DisplayList = DisplayList GLuint

data ListMode

= Compile
| CompileAndExecute

defineList :: DisplayList -> ListMode -> IO a -> IO a
defineNewList :: ListMode -> IO a -> IO DisplayList
listIndex :: GettableStateVar (Maybe DisplayList)
listMode :: GettableStateVar ListMode
maxListNesting :: GettableStateVar GLsizei
callList :: DisplayList -> IO ()
callLists :: GLsizei -> DataType -> Ptr a -> IO ()
listBase :: StateVar DisplayList
genLists :: GLsizei -> IO [DisplayList]
deleteLists :: [DisplayList] -> IO ()
isList :: DisplayList -> IO Bool

Defining Display Lists

newtype DisplayList | Source

Constructors

DisplayList GLuint |

Instances

Eq DisplayList
Ord DisplayList
Show DisplayList
ObjectName DisplayList

data ListMode | Source

Constructors

Compile |
CompileAndExecute |

Instances

Eq ListMode
Ord ListMode
Show ListMode

defineList :: DisplayList -> ListMode -> IO a -> IO a | Source

defineNewList :: ListMode -> IO a -> IO DisplayList | Source

listIndex :: GettableStateVar (Maybe DisplayList) | Source

listMode :: GettableStateVar ListMode | Source

maxListNesting :: GettableStateVar GLsizei | Source

Calling Display Lists

callList :: DisplayList -> IO () | Source

callLists :: GLsizei -> DataType -> Ptr a -> IO () | Source

listBase :: StateVar DisplayList | Source

Deprecated Functions

genLists :: GLsizei -> IO [DisplayList] | Source

deleteLists :: [DisplayList] -> IO () | Source

isList :: DisplayList -> IO Bool | Source

Produced by Haddock version 2.4.2